# How to set it up

***

## 📍 What needs to be done for installation

{% hint style="info" %}
Below are some important types and installation contents.
{% endhint %}

* Do not change the name of the script
* Take care to start the script manually after your core.
* **You will also need** [***ox\_lib***](https://github.com/overextended/ox_lib/) **and** [***xsound*** ](https://github.com/Xogy/xsound/archive/refs/tags/1.5.zip)**scripts!**

```
# Your ox scripts
ensure [core]
# Your other orders
ensure xsound
ensure wais-hudv6
```

{% hint style="success" %}
**This is the layout and appearance that should be in the Server.cfg file.**
{% endhint %}

* After downloading ***xsound***, go to the sounds folder in ***wais-hudv6/sounds*** and copy the sounds.
* then drop the copied sound files into the <mark style="color:$info;">`xsound > html > sounds`</mark> folder.
* Next, navigate to the **`xsound/config.lua`** file, locate the variable <mark style="color:$info;">**`config.interact_sound_enable = false`**</mark>, and change the value from <mark style="color:$warning;">**`false`**</mark> to <mark style="color:$success;">**`true`**</mark>.

***

## 🎚 Framework Settings

{% hint style="success" %}
***Hud works standalone. It can define and operate popular frameworks within itself.*****&#x20;Now you're ready, you can start using the hud.**
{% endhint %}

***

{% hint style="warning" %}
If you are using an older version of Esx or Qbcore, see what needs to be done below.
{% endhint %}

#### ***ESX integration with SharedObject Event ( FOR OLD VERSION ESX )***

```lua
Config.Framework = {
    ["Framework"] = "esx", -- auto, esx, qbcore or qbox
    ["ResourceName"] = "es_extended ", -- auto, es_extended or qb-core or your resource name. If you using qbx you should write qb-core
    ["SharedEvent"] = "esx:getSharedObject" -- Event name for old cores.
}
```

#### ***QBCORE integration with SharedObject Event ( FOR OLD VERSION QBCORE )***

```lua
Config.Framework = {
    ["Framework"] = "qbcore", -- auto, esx, qbcore or qbox
    ["ResourceName"] = "qb-core", -- auto, es_extended or qb-core or your resource name. If you using qbx you should write qb-core
    ["SharedEvent"] = "qb-core:getSharedObject" -- Event name for old cores.
}
```

{% hint style="warning" %}
After writing the SharedObject event and specifying the framework type, restart the script. Check your console.
{% endhint %}

***

{% hint style="info" %}
If you are using a custom framework, [click to integrate](/0resmon/wais-resoucres/wais-hudv6/custom-core-integration.md)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/wais-resoucres/wais-hudv6/how-to-set-it-up.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
